net.corda.flows

## Class ResolveTransactionsFlow.Companion

- net.corda.flows.ResolveTransactionsFlow.Companion

- Enclosing class:
    ResolveTransactionsFlow

      public static class ResolveTransactionsFlow.Companion

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<net.corda.core.transactions.SignedTransaction>` | `topologicalSort(java.util.Collection<net.corda.core.transactions.SignedTransaction> transactions)` Topologically sorts the given transactions such that dependencies are listed before dependers.

- - ### Method Detail

    - #### topologicalSort

          public java.util.List<net.corda.core.transactions.SignedTransaction> topologicalSort(java.util.Collection<net.corda.core.transactions.SignedTransaction> transactions)

      Topologically sorts the given transactions such that dependencies are listed before dependers.